<!-- O site deve apresentar 4 vezes um prompt solicitando a inserção de um número
2. Para cada vez, o usuário deve inserir um número
3. Cada número deve ser forçado para ser inteiro
4. Se um dos valores não for um número, deve exibir uma mensagem de erro no
documento
5. Deve ser exibido no documento:
○ A soma dos 4 números
○ A média dos 4 números -->

<!DOCTYPE html>
<html lang="en">

<head>
    <title>Document</title>
</head>

<body>

    <script>
        var numero1 = window.prompt('Insira o primeiro numero');
        var numero2 = window.prompt('Insira o segundo numero');
        var numero3 = window.prompt('Insira o terceiro numero');
        var numero4 = window.prompt('Insira o quarto numero');

        var conversao1 = Number(numero1);
        var conversao2 = Number(numero2);
        var conversao3 = Number(numero3);
        var conversao4 = Number(numero4);

        if (isNaN(conversao1) || isNaN(conversao2) || isNaN(conversao3) || isNaN(conversao4)) {
            document.write("<h1>Por favor, insira somente números!!</h1>")

            setTimeout(() => {
                window.location.reload()
            }, 3000)

        } else {
            var soma = parseInt(conversao1 + conversao2 + conversao3 + conversao4)
            var media = parseInt(soma / 4)

            document.write(`<div>O resultado da soma é: ${soma}</div>`)
            document.write(`<div>O resultado da média é: ${media}</div>`)
        }

    </script>
</body>

</html>